#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-44seKBKmm5vIS3HsyNNS88
key:                  structured-0.1.1-44seKBKmm5vIS3HsyNNS88
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  4640b4e048b8f8464ad502d874803e30
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-structured
hs-libraries:         HSstructured-0.1.1-44seKBKmm5vIS3HsyNNS88
depends:
    aeson-2.1.1.0-EVJ2ulEyXIvC6mAwm4kkdu array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-AFWu2KU3NXpEsRHrmb7fov binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    hashable-1.4.1.0-8Oej2bfb787AG13MM6rTN1
    scientific-0.3.7.0-JdP1BRbjf7yEkmSFneZZMF
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    time-compat-1.9.6.1-CXNeZrENjp2UVGKx66ww transformers-0.5.6.2
    unordered-containers-0.2.19.1-2hLwgJu78z56d8S8ACQcya
    uuid-types-1.0.5-LsM7BgAVdtwISukKnwB3oQ
    vector-0.13.0.0-HEW7DCYxn8U1lxapYp2nJr

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

